org.apache.felix.bundlerepository.impl

## Class XmlWriter

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.XmlWriter

    public class XmlWriter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XmlWriter(java.io.Writer w)`
`XmlWriter(java.io.Writer w, boolean indent)`

### Method Summary

Methods
`XmlWriter` `attribute(java.lang.String name, java.lang.Object value)`
`XmlWriter` `element(java.lang.String name)`
`XmlWriter` `end()`
`XmlWriter` `end(boolean indent)`
`XmlWriter` `indent(int nb)`
`XmlWriter` `newLine()`
`XmlWriter` `text(java.lang.Object value)`
`XmlWriter` `textElement(java.lang.String name, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlWriter

    public XmlWriter(java.io.Writer w)

#### XmlWriter

    public XmlWriter(java.io.Writer w,
             boolean indent)

### Method Detail

#### indent

    public XmlWriter indent(int nb)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### newLine

    public XmlWriter newLine()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### element

    public XmlWriter element(java.lang.String name)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### attribute

    public XmlWriter attribute(java.lang.String name,
                      java.lang.Object value)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### end

    public XmlWriter end()
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### end

    public XmlWriter end(boolean indent)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### text

    public XmlWriter text(java.lang.Object value)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### textElement

    public XmlWriter textElement(java.lang.String name,
                        java.lang.Object value)
                          throws java.io.IOException

Throws:
  `java.io.IOException`